DECLARE EXIST INTEGER;
BEGIN

/**********************************************************************************/
/* 								 MELHORIAS TEMPLATE 1  						      */
/**********************************************************************************/

/**********************************************
				ZTEMPLATECATBOLSA
***********************************************/
SELECT COUNT(*) INTO EXIST FROM USER_TABLES WHERE TABLE_NAME='ZTEMPLATECATBOLSA';
IF(EXIST = 0) THEN
EXECUTE IMMEDIATE 'CREATE TABLE ZTEMPLATECATBOLSA (
	CODCOLIGADA INTEGER,
	CODBOLSA VARCHAR2(10),
	SCATEGORIA VARCHAR2(10),

	RECCREATEDBY			VARCHAR2(50)		NULL,
	RECCREATEDON			DATE		NULL,
	RECMODIFIEDBY			VARCHAR2(50)		NULL,
	RECMODIFIEDON			DATE		NULL,
				
	CONSTRAINT PK_ZTEMPLATECATBOLSA PRIMARY KEY (CODCOLIGADA, CODBOLSA, SCATEGORIA)
)';
END IF;

/**********************************************
				ZTEMPLATEPLANESCOLAR
***********************************************/
SELECT COUNT(*) INTO EXIST  FROM USER_TABLES WHERE TABLE_NAME='ZTEMPLATEPLANESCOLAR';
IF(EXIST = 0) THEN
EXECUTE IMMEDIATE 'CREATE TABLE ZTEMPLATEPLANESCOLAR (
	CODCOLIGADA INTEGER NOT NULL,
	IDTURMADISC INTEGER NOT NULL,
	IDPLANOAULA INTEGER NOT NULL,
	AULA INTEGER,
	DATA DATE,
	OBJETIVO VARCHAR(500),
	ESTRATEGIAS VARCHAR(500),
	COMPETENCIAS VARCHAR(500),
	HABILIDADES VARCHAR(500),
	CONHECIMENTOS VARCHAR(500),
	CODDISC VARCHAR(100),
	CODPROF VARCHAR(120),
	CODTURMA VARCHAR(60),
	CODTURNO VARCHAR(15),
	CH NUMERIC(9,4),
	RECURSOS VARCHAR(500),
	SISTEMASAVAL VARCHAR(500),
	
	RECCREATEDBY			VARCHAR(50)		NULL,
	RECCREATEDON			DATE		NULL,
	RECMODIFIEDBY			VARCHAR(50)		NULL,
	RECMODIFIEDON			DATE		NULL,

	CONSTRAINT PK_ZTEMPLATEPLANESCOLAR PRIMARY KEY 
	(
		CODCOLIGADA, IDTURMADISC, IDPLANOAULA
	)
)';
END IF;

/**********************************************************************************/
/* 								 MELHORIAS TEMPLATE 2  						      */
/**********************************************************************************/

/**********************************************
				ZTEMPLATEHIST
***********************************************/
SELECT COUNT(*) INTO EXIST FROM USER_TABLES WHERE TABLE_NAME = 'ZTEMPLATEHIST';
IF(EXIST = 0) THEN 
	EXECUTE IMMEDIATE 
	'CREATE TABLE ZTEMPLATEHIST (
		CODCOLIGADA NUMBER(5) NOT NULL,
		CODDISCHIST VARCHAR2 (20) NOT NULL,
		RA VARCHAR2 (20) NOT NULL,
		ANO VARCHAR2 (10) NOT NULL,
		CODCURSOHIST VARCHAR2 (10) NOT NULL,
		CODSERIEHIST INTEGER NOT NULL,
		CODPARTEHIST VARCHAR2 (1) NOT NULL,
		CODINST	INTEGER NULL,
		DATA DATE NULL,
		FASE VARCHAR2 (10) NULL,
		CHEAD VARCHAR2 (5) NULL,
		NOTA1 VARCHAR2 (6) NULL,
		NOTA2 VARCHAR2 (6) NULL,
		NOTA3 VARCHAR2 (6) NULL,
		NOTA4 VARCHAR2 (6) NULL,
		
		RECCREATEDBY		VARCHAR2(50),
		RECCREATEDON		DATE,
		RECMODIFIEDBY		VARCHAR2(50),
		RECMODIFIEDON		DATE,
		
		CONSTRAINT PK_ZTEMPLATEHIST PRIMARY KEY (CODCOLIGADA, CODDISCHIST, CODPARTEHIST, RA, ANO, CODCURSOHIST, CODSERIEHIST)
	)';
END IF;

/**********************************************
			ZTEMPLATEBOLSAALUNO
***********************************************/
SELECT COUNT(*) INTO EXIST FROM USER_TABLES WHERE TABLE_NAME = 'ZTEMPLATEBOLSAALUNO';
IF(EXIST = 0) THEN 
	EXECUTE IMMEDIATE 
	'CREATE TABLE ZTEMPLATEBOLSAALUNO (
		CODCOLIGADA NUMBER(5,0) NOT NULL,
		RA VARCHAR2 (20) NOT NULL,
		IDHABILITACAOFILIAL INTEGER  NOT NULL,
		IDPERLET INTEGER NOT NULL,
		IDBOLSAALUNO INTEGER NOT NULL,
		ATIVA VARCHAR2 (1) NULL,
		CODBOLSA VARCHAR2 (10) NOT NULL,
		CODSERVICO VARCHAR2 (10) NOT NULL,
		DTINICIO DATE  NULL,
		DTFIM DATE  NULL,
		DESCONTO NUMBER(15,4) NOT NULL,
		TIPODESC VARCHAR2 (1) NOT NULL,
		OBS LONG NULL,
		ORDEMBOLSA INTEGER NULL,
		PARCELAINICIAL INTEGER NULL,
		PARCELAFINAL INTEGER NULL,
		CODUSUARIO VARCHAR2 (20) NOT NULL,
		DATACONCESSAO DATE NULL,
		DATAAUTORIZACAO DATE NULL,
		TETOVALOR NUMBER(15,4) NULL,

		RECCREATEDBY		VARCHAR2(50),
		RECCREATEDON		DATE,
		RECMODIFIEDBY		VARCHAR2(50),
		RECMODIFIEDON		DATE,
		
		CONSTRAINT PK_ZTEMPLATEBOLSAALUNO PRIMARY KEY (CODCOLIGADA, RA, IDHABILITACAOFILIAL, IDPERLET, IDBOLSAALUNO)
	)';
END IF;

/**********************************************
				ZTEMPLATEPARCELA
***********************************************/
SELECT COUNT(*) INTO EXIST FROM USER_TABLES WHERE TABLE_NAME = 'ZTEMPLATEPARCELA';
IF(EXIST = 0) THEN 
	EXECUTE IMMEDIATE
	'CREATE TABLE ZTEMPLATEPARCELA (
		CODCOLIGADA NUMBER(5) NOT NULL,
		RA VARCHAR2 (20) NOT NULL,
		IDHABILITACAOFILIAL INTEGER  NOT NULL,
		IDPERLET INTEGER NOT NULL,
		IDPARCELA INTEGER  NOT NULL,
		CODSERVICO VARCHAR2 (10) NOT NULL,
		PARCELA SMALLINT  NOT NULL,
		COTA SMALLINT NOT NULL,
		VALOR NUMBER(15,4)  NULL,
		DTVENCIMENTO DATE NOT NULL,
		DESCONTO NUMBER(15,4)  NULL,
		TIPODESC VARCHAR2 (1) NULL,
		TIPOPARCELA VARCHAR2 (1) NULL,
		VALORAUTOMATICO VARCHAR2 (1) NULL,
		ORIGEM VARCHAR2 (2) NULL,

		RECCREATEDBY		VARCHAR2(50),
		RECCREATEDON		DATE,
		RECMODIFIEDBY		VARCHAR2(50),
		RECMODIFIEDON		DATE,
		
		CONSTRAINT PK_ZTEMPLATEPARCELA PRIMARY KEY (CODCOLIGADA, RA, IDHABILITACAOFILIAL, IDPERLET, IDPARCELA),
		CONSTRAINT UC_ZTEMPLATEPARCELA UNIQUE (CODCOLIGADA, RA, IDHABILITACAOFILIAL, IDPERLET, CODSERVICO, PARCELA, COTA)
	)';
END IF;

------------------------------------------


DECLARE EXIST INTEGER;
BEGIN 
/**********************************************************************************/
/* 								 Parâmetros Genéricos  						      */
/**********************************************************************************/
SELECT COUNT(*) INTO EXIST FROM ZTEMPLATEPARAMETRO WHERE NOMEPROJETO = 'TEMPLATE' AND NOMECAMPO = 'COLIGADASESI';
  IF EXIST = 0 THEN
  EXECUTE IMMEDIATE
	'
	INSERT INTO ZTEMPLATEPARAMETRO(NOMECAMPO, DESCRICAOCAMPO, IDTIPOOBJETO, IDTIPOOBJETOSEGUNDONIVEL, NOMEPROJETO, CONTEXTO)
        VALUES (''COLIGADASESI'', ''Coligada SESI'', 4, null, ''TEMPLATE'', ''Glb'')
	 ';
  END IF;

SELECT COUNT(*) INTO EXIST FROM ZTEMPLATEPARAMETRO WHERE NOMEPROJETO = 'TEMPLATE' AND NOMECAMPO = 'COLIGADASENAI';
  IF EXIST = 0 THEN
  EXECUTE IMMEDIATE
	'
	INSERT INTO ZTEMPLATEPARAMETRO(NOMECAMPO, DESCRICAOCAMPO, IDTIPOOBJETO, IDTIPOOBJETOSEGUNDONIVEL, NOMEPROJETO, CONTEXTO)
        VALUES (''COLIGADASENAI'', ''Coligada SENAI'', 4, null, ''TEMPLATE'', ''Glb'')
	 ';
  END IF;


SELECT COUNT(*) INTO EXIST FROM ZTEMPLATEPARAMETROPROPOBJETO WHERE NOMEPROJETO = 'TEMPLATE' AND NOMECAMPO = 'COLIGADASESI' AND IDPROPOBJETO = 10;
  IF EXIST = 0 THEN
  EXECUTE IMMEDIATE
	'
      INSERT INTO ZTEMPLATEPARAMETROPROPOBJETO(NOMECAMPO, IDTIPOOBJETO, IDPROPOBJETO, VALOR, NOMEPROJETO)
      VALUES (''COLIGADASESI'', 4, 10, ''GlbColigadaAction'', ''TEMPLATE'')
	 ';
   ELSE
   EXECUTE IMMEDIATE
	'
      UPDATE ZTEMPLATEPARAMETROPROPOBJETO SET VALOR = ''GlbColigadaAction'' WHERE NOMECAMPO = ''COLIGADASESI'' AND IDPROPOBJETO = 10 AND NOMEPROJETO = ''TEMPLATE''
	' ;
  END IF;

SELECT COUNT(*) INTO EXIST FROM ZTEMPLATEPARAMETROPROPOBJETO WHERE NOMEPROJETO = 'TEMPLATE' AND NOMECAMPO = 'COLIGADASESI' AND IDPROPOBJETO = 12;
  IF EXIST = 0 THEN
  EXECUTE IMMEDIATE
	'
      INSERT INTO ZTEMPLATEPARAMETROPROPOBJETO(NOMECAMPO, IDTIPOOBJETO, IDPROPOBJETO, VALOR, NOMEPROJETO)
      VALUES (''COLIGADASESI'', 4, 12, ''VALOR'', ''TEMPLATE'')
	 ';
   ELSE
   EXECUTE IMMEDIATE
	'
      UPDATE ZTEMPLATEPARAMETROPROPOBJETO SET VALOR = ''VALOR'' WHERE NOMECAMPO = ''COLIGADASESI'' AND IDPROPOBJETO = 12 AND NOMEPROJETO = ''TEMPLATE''
	' ;
  END IF;

SELECT COUNT(*) INTO EXIST FROM ZTEMPLATEPARAMETROPROPOBJETO WHERE NOMEPROJETO = 'TEMPLATE' AND NOMECAMPO = 'COLIGADASESI' AND IDPROPOBJETO = 13;
  IF EXIST = 0 THEN
  EXECUTE IMMEDIATE
	'
      INSERT INTO ZTEMPLATEPARAMETROPROPOBJETO(NOMECAMPO, IDTIPOOBJETO, IDPROPOBJETO, VALOR, NOMEPROJETO)
      VALUES (''COLIGADASESI'', 4, 13, ''NOMEFANTASIA'', ''TEMPLATE'')
	 ';
   ELSE
   EXECUTE IMMEDIATE
	'
      UPDATE ZTEMPLATEPARAMETROPROPOBJETO SET VALOR = ''NOMEFANTASIA'' WHERE NOMECAMPO = ''COLIGADASESI'' AND IDPROPOBJETO = 13 AND NOMEPROJETO = ''TEMPLATE''
	' ;
  END IF;

SELECT COUNT(*) INTO EXIST FROM ZTEMPLATEPARAMETROPROPOBJETO WHERE NOMEPROJETO = 'TEMPLATE' AND NOMECAMPO = 'COLIGADASESI' AND IDPROPOBJETO = 14;
  IF EXIST = 0 THEN
  EXECUTE IMMEDIATE
	'
      INSERT INTO ZTEMPLATEPARAMETROPROPOBJETO(NOMECAMPO, IDTIPOOBJETO, IDPROPOBJETO, VALOR, NOMEPROJETO)
      VALUES (''COLIGADASESI'', 4, 14, ''CODCOLIGADA'', ''TEMPLATE'')
	 ';
   ELSE
   EXECUTE IMMEDIATE
	'
      UPDATE ZTEMPLATEPARAMETROPROPOBJETO SET VALOR = ''CODCOLIGADA'' WHERE NOMECAMPO = ''COLIGADASESI'' AND IDPROPOBJETO = 14 AND NOMEPROJETO = ''TEMPLATE''
	' ;
  END IF;

SELECT COUNT(*) INTO EXIST FROM ZTEMPLATEPARAMETROPROPOBJETO WHERE NOMEPROJETO = 'TEMPLATE' AND NOMECAMPO = 'COLIGADASESI' AND IDPROPOBJETO = 15;
  IF EXIST = 0 THEN
  EXECUTE IMMEDIATE
	'
      INSERT INTO ZTEMPLATEPARAMETROPROPOBJETO(NOMECAMPO, IDTIPOOBJETO, IDPROPOBJETO, VALOR, NOMEPROJETO)
      VALUES (''COLIGADASESI'', 4, 15, ''CODCOLIGADA;NOMEFANTASIA'', ''TEMPLATE'')
	 ';
   ELSE
   EXECUTE IMMEDIATE
	'
      UPDATE ZTEMPLATEPARAMETROPROPOBJETO SET VALOR = ''CODCOLIGADA;NOMEFANTASIA'' WHERE NOMECAMPO = ''COLIGADASESI'' AND IDPROPOBJETO = 15 AND NOMEPROJETO = ''TEMPLATE''
	' ;
  END IF;

SELECT COUNT(*) INTO EXIST FROM ZTEMPLATEPARAMETROPROPOBJETO WHERE NOMEPROJETO = 'TEMPLATE' AND NOMECAMPO = 'COLIGADASESI' AND IDPROPOBJETO = 16;
  IF EXIST = 0 THEN
  EXECUTE IMMEDIATE
	'
      INSERT INTO ZTEMPLATEPARAMETROPROPOBJETO(NOMECAMPO, IDTIPOOBJETO, IDPROPOBJETO, VALOR, NOMEPROJETO)
      VALUES (''COLIGADASESI'', 4, 16, ''NOMEFANTASIA'', ''TEMPLATE'')
	 ';
   ELSE
   EXECUTE IMMEDIATE
	'
      UPDATE ZTEMPLATEPARAMETROPROPOBJETO SET VALOR = ''NOMEFANTASIA'' WHERE NOMECAMPO = ''COLIGADASESI'' AND IDPROPOBJETO = 16 AND NOMEPROJETO = ''TEMPLATE''
	' ;
  END IF;

SELECT COUNT(*) INTO EXIST FROM ZTEMPLATEPARAMETROPROPOBJETO WHERE NOMEPROJETO = 'TEMPLATE' AND NOMECAMPO = 'COLIGADASESI' AND IDPROPOBJETO = 19;
  IF EXIST = 0 THEN
  EXECUTE IMMEDIATE
	'
      INSERT INTO ZTEMPLATEPARAMETROPROPOBJETO(NOMECAMPO, IDTIPOOBJETO, IDPROPOBJETO, VALOR, NOMEPROJETO)
      VALUES (''COLIGADASESI'', 4, 19, ''true'', ''TEMPLATE'')
	 ';
   ELSE
   EXECUTE IMMEDIATE
	'
      UPDATE ZTEMPLATEPARAMETROPROPOBJETO SET VALOR = ''true'' WHERE NOMECAMPO = ''COLIGADASESI'' AND IDPROPOBJETO = 19 AND NOMEPROJETO = ''TEMPLATE''
	' ;
  END IF;

SELECT COUNT(*) INTO EXIST FROM ZTEMPLATEPARAMETROPROPOBJETO WHERE NOMEPROJETO = 'TEMPLATE' AND NOMECAMPO = 'COLIGADASENAI' AND IDPROPOBJETO = 10;
  IF EXIST = 0 THEN
  EXECUTE IMMEDIATE
	'
      INSERT INTO ZTEMPLATEPARAMETROPROPOBJETO(NOMECAMPO, IDTIPOOBJETO, IDPROPOBJETO, VALOR, NOMEPROJETO)
      VALUES (''COLIGADASENAI'', 4, 10, ''GlbColigadaAction'', ''TEMPLATE'')
	 ';
   ELSE
   EXECUTE IMMEDIATE
	'
      UPDATE ZTEMPLATEPARAMETROPROPOBJETO SET VALOR = ''GlbColigadaAction'' WHERE NOMECAMPO = ''COLIGADASENAI'' AND IDPROPOBJETO = 10 AND NOMEPROJETO = ''TEMPLATE''
	' ;
  END IF;

SELECT COUNT(*) INTO EXIST FROM ZTEMPLATEPARAMETROPROPOBJETO WHERE NOMEPROJETO = 'TEMPLATE' AND NOMECAMPO = 'COLIGADASENAI' AND IDPROPOBJETO = 12;
  IF EXIST = 0 THEN
  EXECUTE IMMEDIATE
	'
      INSERT INTO ZTEMPLATEPARAMETROPROPOBJETO(NOMECAMPO, IDTIPOOBJETO, IDPROPOBJETO, VALOR, NOMEPROJETO)
      VALUES (''COLIGADASENAI'', 4, 12, ''VALOR'', ''TEMPLATE'')
	 ';
   ELSE
   EXECUTE IMMEDIATE
	'
      UPDATE ZTEMPLATEPARAMETROPROPOBJETO SET VALOR = ''VALOR'' WHERE NOMECAMPO = ''COLIGADASENAI'' AND IDPROPOBJETO = 12 AND NOMEPROJETO = ''TEMPLATE''
	' ;
  END IF;

SELECT COUNT(*) INTO EXIST FROM ZTEMPLATEPARAMETROPROPOBJETO WHERE NOMEPROJETO = 'TEMPLATE' AND NOMECAMPO = 'COLIGADASENAI' AND IDPROPOBJETO = 13;
  IF EXIST = 0 THEN
  EXECUTE IMMEDIATE
	'
      INSERT INTO ZTEMPLATEPARAMETROPROPOBJETO(NOMECAMPO, IDTIPOOBJETO, IDPROPOBJETO, VALOR, NOMEPROJETO)
      VALUES (''COLIGADASENAI'', 4, 13, ''NOMEFANTASIA'', ''TEMPLATE'')
	 ';
   ELSE
   EXECUTE IMMEDIATE
	'
      UPDATE ZTEMPLATEPARAMETROPROPOBJETO SET VALOR = ''NOMEFANTASIA'' WHERE NOMECAMPO = ''COLIGADASENAI'' AND IDPROPOBJETO = 13 AND NOMEPROJETO = ''TEMPLATE''
	' ;
  END IF;

SELECT COUNT(*) INTO EXIST FROM ZTEMPLATEPARAMETROPROPOBJETO WHERE NOMEPROJETO = 'TEMPLATE' AND NOMECAMPO = 'COLIGADASENAI' AND IDPROPOBJETO = 14;
  IF EXIST = 0 THEN
  EXECUTE IMMEDIATE
	'
      INSERT INTO ZTEMPLATEPARAMETROPROPOBJETO(NOMECAMPO, IDTIPOOBJETO, IDPROPOBJETO, VALOR, NOMEPROJETO)
      VALUES (''COLIGADASENAI'', 4, 14, ''CODCOLIGADA'', ''TEMPLATE'')
	 ';
   ELSE
   EXECUTE IMMEDIATE
	'
      UPDATE ZTEMPLATEPARAMETROPROPOBJETO SET VALOR = ''CODCOLIGADA'' WHERE NOMECAMPO = ''COLIGADASENAI'' AND IDPROPOBJETO = 14 AND NOMEPROJETO = ''TEMPLATE''
	' ;
  END IF;

SELECT COUNT(*) INTO EXIST FROM ZTEMPLATEPARAMETROPROPOBJETO WHERE NOMEPROJETO = 'TEMPLATE' AND NOMECAMPO = 'COLIGADASENAI' AND IDPROPOBJETO = 15;
  IF EXIST = 0 THEN
  EXECUTE IMMEDIATE
	'
      INSERT INTO ZTEMPLATEPARAMETROPROPOBJETO(NOMECAMPO, IDTIPOOBJETO, IDPROPOBJETO, VALOR, NOMEPROJETO)
      VALUES (''COLIGADASENAI'', 4, 15, ''CODCOLIGADA;NOMEFANTASIA'', ''TEMPLATE'')
	 ';
   ELSE
   EXECUTE IMMEDIATE
	'
      UPDATE ZTEMPLATEPARAMETROPROPOBJETO SET VALOR = ''CODCOLIGADA;NOMEFANTASIA'' WHERE NOMECAMPO = ''COLIGADASENAI'' AND IDPROPOBJETO = 15 AND NOMEPROJETO = ''TEMPLATE''
	' ;
  END IF;

SELECT COUNT(*) INTO EXIST FROM ZTEMPLATEPARAMETROPROPOBJETO WHERE NOMEPROJETO = 'TEMPLATE' AND NOMECAMPO = 'COLIGADASENAI' AND IDPROPOBJETO = 16;
  IF EXIST = 0 THEN
  EXECUTE IMMEDIATE
	'
      INSERT INTO ZTEMPLATEPARAMETROPROPOBJETO(NOMECAMPO, IDTIPOOBJETO, IDPROPOBJETO, VALOR, NOMEPROJETO)
      VALUES (''COLIGADASENAI'', 4, 16, ''NOMEFANTASIA'', ''TEMPLATE'')
	 ';
   ELSE
   EXECUTE IMMEDIATE
	'
      UPDATE ZTEMPLATEPARAMETROPROPOBJETO SET VALOR = ''NOMEFANTASIA'' WHERE NOMECAMPO = ''COLIGADASENAI'' AND IDPROPOBJETO = 16 AND NOMEPROJETO = ''TEMPLATE''
	' ;
  END IF;

SELECT COUNT(*) INTO EXIST FROM ZTEMPLATEPARAMETROPROPOBJETO WHERE NOMEPROJETO = 'TEMPLATE' AND NOMECAMPO = 'COLIGADASENAI' AND IDPROPOBJETO = 19;
  IF EXIST = 0 THEN
  EXECUTE IMMEDIATE
	'
      INSERT INTO ZTEMPLATEPARAMETROPROPOBJETO(NOMECAMPO, IDTIPOOBJETO, IDPROPOBJETO, VALOR, NOMEPROJETO)
      VALUES (''COLIGADASENAI'', 4, 19, ''true'', ''TEMPLATE'')
	 ';
   ELSE
   EXECUTE IMMEDIATE
	'
      UPDATE ZTEMPLATEPARAMETROPROPOBJETO SET VALOR = ''true'' WHERE NOMECAMPO = ''COLIGADASENAI'' AND IDPROPOBJETO = 19 AND NOMEPROJETO = ''TEMPLATE''
	' ;
  END IF;


END;


 /* GCAMPOS */

/*/////////////////////////////////////////////////////////////*/
/*                     ZTEMPLATEBOLSAALUNO                     */
/*/////////////////////////////////////////////////////////////*/
DELETE FROM GDIC WHERE TABELA = 'ZTEMPLATEBOLSAALUNO';

INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEBOLSAALUNO','#','ZTEMPLATEBOLSAALUNO',0,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEBOLSAALUNO','ATIVA','Bolsa ativa',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEBOLSAALUNO','CODBOLSA','Cód. Bolsa',1,'Z;'); 
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEBOLSAALUNO','CODCOLIGADA','Cód. Coligada',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEBOLSAALUNO','CODSERVICO','Cód. Serviço',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEBOLSAALUNO','CODUSUARIO','Cód. Usuário',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEBOLSAALUNO','DATAAUTORIZACAO','Data de Autorização',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEBOLSAALUNO','DATACONCESSAO','Data de Concessão',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEBOLSAALUNO','DESCONTO','Desconto',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEBOLSAALUNO','DTFIM','Data Fim',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEBOLSAALUNO','DTINICIO','Data Início',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEBOLSAALUNO','IDBOLSAALUNO','Id. Bolsa Aluno',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEBOLSAALUNO','IDHABILITACAOFILIAL','Id. Habilitação Filial',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEBOLSAALUNO','IDPERLET','Id. Período Letivo',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEBOLSAALUNO','OBS','Observação',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEBOLSAALUNO','ORDEMBOLSA','Ordem da Bolsa',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEBOLSAALUNO','PARCELAFINAL','Parcela Final',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEBOLSAALUNO','PARCELAINICIAL','Parcela Inicial',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEBOLSAALUNO','RA','RA',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEBOLSAALUNO','RECCREATEDBY','Usuário criador do registro',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEBOLSAALUNO','RECCREATEDON','Data de criação do registro',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEBOLSAALUNO','RECMODIFIEDBY','Autor da última modificação no registro',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEBOLSAALUNO','RECMODIFIEDON','Data da última modificação no registro',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEBOLSAALUNO','TETOVALOR','Teto Valor',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEBOLSAALUNO','TIPODESC','Tipo de Desconto',1,'Z;') ;

/*//////////////////////////////////////////////////////////*/
/*                     ZTEMPLATEPARCELA                     */
/*//////////////////////////////////////////////////////////*/
DELETE FROM GDIC WHERE TABELA = 'ZTEMPLATEPARCELA';

INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEPARCELA','#','ZTEMPLATEPARCELA',0,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEPARCELA','CODCOLIGADA','Cód. Coligada',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEPARCELA','CODSERVICO','Cód. Serviço',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEPARCELA','COTA','Cota',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEPARCELA','DESCONTO','Desconto',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEPARCELA','DTVENCIMENTO','Data Vencimento',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEPARCELA','IDHABILITACAOFILIAL','Id. Habilitação Filial',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEPARCELA','IDPARCELA','Id. Parcela',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEPARCELA','IDPERLET','Id. Período Letivo',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEPARCELA','ORIGEM','Origem',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEPARCELA','PARCELA','Parcela',1,'Z;'); 
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEPARCELA','RA','RA',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEPARCELA','RECCREATEDBY','Usuário criador do registro',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEPARCELA','RECCREATEDON','Data de criação do registro',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEPARCELA','RECMODIFIEDBY','Autor da última modificação no registro',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEPARCELA','RECMODIFIEDON','Data da última modificação no registro',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEPARCELA','TIPODESC','Tipo de Desconto',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEPARCELA','TIPOPARCELA','Tipo Parcela',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEPARCELA','VALOR','Valor',1,'Z;') ;
INSERT INTO GDIC (TABELA,COLUNA,DESCRICAO,RELATORIO,APLICACOES)  VALUES ('ZTEMPLATEPARCELA','VALORAUTOMATICO','Valor calculado pelo número de créditos',1,'Z;') ;

END;